Summary:	Small but extremely powerful library which implements the IRC protocol
Name:		libircclient
Version:	1.10
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libircclient/%{name}-%{version}.tar.gz
# Source0-md5:	7dec70a16abbaf5147d21729b325b180
Patch0:		opt.patch
Patch1:		soname.patch
Patch2:		install.patch
URL:		http://www.ulduzsoft.com/libircclient/
BuildRequires:	openssl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libircclient is a small but powerful library, which implements
client-server IRC protocol. It has all features needed to create
your own IRC client or bot, including multi-threading support,
sync and async interfaces, CTCP/DCC support, colors, SSL connections
and so on.

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%package static
Summary:	Static %{name} library
Summary(pl.UTF-8):	Statyczna biblioteka %{name}
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static %{name} library.

%description static -l pl.UTF-8
Statyczna biblioteka %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__autoconf}
cp /usr/share/automake/config.* .
%configure \
	--enable-shared \
	--enable-threads \
	--enable-ipv6 \
	--enable-openssl

%{__make} \
	LDFLAGS=%{rpmldflags}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man3

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Changelog README THANKS
%attr(755,root,root) %{_libdir}/%{name}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/%{name}.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}.so
%{_includedir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/%{name}.a
%changelog
* Sat Oct 16 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libircclient.git;a=log;h=master

* Sat Oct 16 2021 Jan Rękorajski <baggins@pld-linux.org> 09ad87b
- up to 1.10

* Tue Sep 25 2018 Adam Gołębiowski <adamg@pld-linux.org> e212b79
- properly bump release

* Tue Sep 25 2018 Adam Gołębiowski <adamg@pld-linux.org> 932ca9c
- fix openssl detection in configure (handle openssl-1.1)
- release 2

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e5facfb
- release 5 (by relup.sh)

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 71475f8
- release 4 (by relup.sh)

* Wed Jun 10 2015 Elan Ruusamäe <glen@delfi.ee> a21adc3
- x32 rebuild
- release 3 (by relup.sh)

* Thu Jul 12 2012 Jan Rękorajski <baggins@pld-linux.org> 9382dd2
- Release 2

* Thu Jul 12 2012 Jan Rękorajski <baggins@pld-linux.org> 7b612e1
- Call ldconfig with full path

* Thu Jul 12 2012 Jan Rękorajski <baggins@pld-linux.org> b3548f2
- New package
Don't use hardcoded opt flags
Fix install target
Add versioning to shared library

* Thu Jul 12 2012 Jan Rękorajski <baggins@pld-linux.org> 91929f8
- Init commit

